  // הגדרת משתנה גלובלי עבור גלילה רציפה

 var scrollInterval;



 // פונקציה להתחלת הגלילה

 function startScrollDown() {

  scrollInterval = setInterval(function() {

   window.scrollBy(0, 1); // גלילה איטית כלפי מטה ב-5 פיקסלים

   // בדיקה אם הגענו לסוף הדף

   if ((window.innerHeight + window.scrollY) >= document.body.offsetHeight) {

    clearInterval(scrollInterval); // הפסקת הגלילה

    setTimeout(startScrollUp, 500); // התנגשות קצרה ואז התחלת גלילה למעלה

   }

  }, 20); // מחזור גלילה כל 20 מילישניות

 }



 // פונקציה להתחלת הגלילה למעלה

 function startScrollUp() {

  scrollInterval = setInterval(function() {

   window.scrollBy(0, -1); // גלילה איטית כלפי מעלה ב-5 פיקסלים

   // בדיקה אם הגענו לתחילת הדף

   if (window.scrollY === 0) {

    clearInterval(scrollInterval); // הפסקת הגלילה

    setTimeout(startScrollDown, 500); // התנגשות קצרה ואז התחלת גלילה למטה

   }

  }, 20); // מחזור גלילה כל 20 מילישניות

 }



 // התחלת הגלילה הראשונית

 startScrollDown();