  const targetDate = new Date(document.getElementById("target-date").textContent);
  const daysLeftElement = document.getElementById("days-left");
  const hoursLeftElement = document.getElementById("hours-left");
  const minutesLeftElement = document.getElementById("minutes-left");
  const secondsLeftElement = document.getElementById("seconds-left");
  const millisecondsLeftElement = document.getElementById("milliseconds-left");

  function updateCountdown() {
    const now = new Date();
    const millisecondsLeft = targetDate - now;
    const secondsLeft = Math.floor(millisecondsLeft / 1000);
    const minutesLeft = Math.floor(secondsLeft / 60);
    const hoursLeft = Math.floor(minutesLeft / 60);
    const daysLeft = Math.floor(hoursLeft / 24);

    daysLeftElement.textContent = daysLeft;
    hoursLeftElement.textContent = hoursLeft % 24;
    minutesLeftElement.textContent = minutesLeft % 60;
    secondsLeftElement.textContent = secondsLeft % 60;
    millisecondsLeftElement.textContent = millisecondsLeft % 1000;

    setTimeout(updateCountdown, 100);
  }

  updateCountdown();