<?php
$username = "077123456";
$password = "123456";
$url = "https://www.call2all.co.il/ym/api/Login?username=" . $username . "&password=" . $password;
$tokenFile = "token";
$dateFile = "token_date"; // קובץ לשמירת תאריך ושעת הכניסה האחרונה

// בדיקת האם יש כבר טוקן ותאריך ושעה
if (file_exists($tokenFile) && file_exists($dateFile)) {
    $lastTokenDate = file_get_contents($dateFile);
    $lastTokenDateTime = new DateTime($lastTokenDate, new DateTimeZone('Israel'));
    $now = new DateTime('now', new DateTimeZone('Israel'));
    $interval = $now->diff($lastTokenDateTime);
    
    // בדיקה האם עברה שעה מקבלת הטוקן הקודם או שהתנאי של הטוקן לא מתקיים
    if ($interval->i >= 60 || !preg_match('/^(?=.*[a-z])(?=.*[A-Z])[a-zA-Z\d]{16}$/', file_get_contents($tokenFile))) {
        // שליחת בקשת GET לקבלת טוקן חדש
        $curl = curl_init($url);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        $response = curl_exec($curl);
        curl_close($curl);
        
        // בדיקת תשובה תקינה
        if ($response === false) {
            die("שגיאה בשליחת בקשת GET");
        }
        
        // פיענוח תשובה בפורמט JSON
        $data = json_decode($response, true);
        
        // בדיקת פיענוח תקין של JSON
        if (is_null($data)) {
            die("שגיאה בפיענוח תשובה בפורמט JSON");
        }
        
        // שמירת הערך של הטוקן בקובץ
        file_put_contents($tokenFile, $data['token']);
        
        // עדכון תאריך ושעה לפי שעון ישראל
        $now = new DateTime('now', new DateTimeZone('Israel'));
        $dateString = $now->format('Y-m-d H:i:s');
        file_put_contents($dateFile, $dateString);
        
        // הדפסת הטוקן החדש
        echo  $data['token'];
    } else {
        // הדפסת הטוקן הקיים
        echo file_get_contents($tokenFile);
    }
} else {
    // שליחת בקשת GET לקבלת טוקן חדש
    $curl = curl_init($url);
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
    $response = curl_exec($curl);
    curl_close($curl);
    
    // בדיקת תשובה תקינה
    if ($response === false) {
        die("שגיאה בשליחת בקשת GET");
    }
    
    // פיענוח תשובה בפורמט JSON
    $data = json_decode($response, true);
    
    // בדיקת פיענוח תקין של JSON
    if (is_null($data)) {
        die("שגיאה בפיענוח תשובה בפורמט JSON");
    }
    
    // שמירת הערך של הטוקן בקובץ
    file_put_contents($tokenFile, $data['token']);
    
    // עדכון תאריך ושעה לפי שעון ישראל
    $now = new DateTime('now', new DateTimeZone('Israel'));
    $dateString = $now->format('Y-m-d H:i:s');
    file_put_contents($dateFile, $dateString);
    
    // הדפסת הטוקן החדש
    echo $data['token'];
}
?>
